Name: unixODBC
Version: 2.2.3
Release: alt1
Summary: Unix ODBC driver manager and database drivers
Summary(ru_RU.KOI8-R):    ODBC  unix 
Source: http://www.unixodbc.org/%name-%version.tar.bz2
Source1: odbcinst.ini
Group: Databases
License: LGPL
Url: http://www.unixODBC.org
BuildPreReq: bison, flex, libMySQL-devel >= 3.23.49-alt3
# Automatically added by buildreq on Wed Sep 25 2002
BuildRequires: XFree86-devel XFree86-libs flex freetype2 gcc-c++ glibc-devel-static libMySQL-devel libcups libjpeg liblcms libmng libncurses-devel libqt3-devel libreadline-devel libssl libstdc++-devel libunixODBC-devel zlib-devel-static

Provides: libodbc.so, libodbcinst.so, MyODBC

%description
UnixODBC is a free/open and solution for ODBC. ODBC is an open
specifican for providing application developers with a predictable API
with which to access Data Sources. Data Sources include SQL Servers and
any Data Source with an ODBC Driver.

%description -l ru_RU.KOI8-R
UnixODBC -   ODBC . 
ODBC        
  API     . 
      SQL    , 
ODBC .

%package -n lib%name
Summary: Shared libraries for ODBC
Summary(ru_RU.KOI8-R):    ODBC
Group: Development/Databases
Requires: %name = %version

%description -n lib%name
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains the shared libraries.

%description -n lib%name -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
      .

%package -n lib%name-devel
Summary: Includes for ODBC development
Summary(ru_RU.KOI8-R):       ODBC
Group: Development/Databases
Requires: %name = %version

%description -n lib%name-devel
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains the include files for development.

%description -n lib%name-devel -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
         ODBC

%package -n lib%name-devel-static
Summary: Static libraries for ODBC development
Summary(ru_RU.KOI8-R):      ODBC
Group: Development/Databases
Requires: %name = %version

%description -n lib%name-devel-static
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains the static libraries for development.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
         ODBC

%package gui-qt
Summary: ODBC configurator, Data Source browser and ODBC test tool based on Qt
Summary(ru_RU.KOI8-R):   ODBC ,          ODBC,   Qt
Group: Databases
Requires: %name = %version

%description gui-qt
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains two Qt based GUI programs for unixODBC:
ODBCConfig and DataManager

%description gui-qt -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
     QT     unixODBC.

%package gui-gtk
Summary: ODBC configurator based on GTK+ and GTK+ widget for gnome-db
Summary(ru_RU.KOI8-R):  ODBCm   GTK+
Group: Databases
Requires: %name = %version

%description gui-gtk
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
All libs are LGPL (except nn which is GPL?).
This package contains one GTK+ based GUI program for unixODBC: gODBCConfig

%description gui-gtk -l ru_RU.KOI8-R
unixODBC      ODBC  Linux .
     GTK+   unixODBC.

%prep
%setup -q

%build

export QTDIR=/usr/lib/qt3
%configure --enable-static

cd Drivers/MySQL
%configure --with-unixODBC=%_prefix --with-odbc-ini=%_sysconfdir/odbcinst.ini --with-unixODBC-includes=%_prefix/includes
cd -

%make_build

cd Drivers/MySQL
%make_build
cd -

%install

%makeinstall

cd Drivers/MySQL
%makeinstall
cd -

# gODBCConfig must be built after installing the main unixODBC parts
cd gODBCConfig
./autogen.sh --prefix=%prefix --sysconfdir=%_sysconfdir --with-odbc=$RPM_BUILD_ROOT%prefix

# I don't know why this happens. -- Geoff
mv po/Makefile.in po/Makefile
%make_build
# ugly hack.
%makeinstall || true
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps/gODBCConfig
for pixmap in ./pixmaps/*;do
   install -m 644 $pixmap $RPM_BUILD_ROOT%_datadir/pixmaps/gODBCConfig
done
cd ..

find $RPM_BUILD_ROOT/%{_libdir} -name "*.so*" |sed "s|$RPM_BUILD_ROOT||" |grep -v libodbcinstQ > foo-list

install -m644 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir

# Menu entries

install -d $RPM_BUILD_ROOT%_menudir


# ODBCConfig
cat << EOF > $RPM_BUILD_ROOT%_menudir/unixODBC-gui-qt
?package(%name-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="ODBCConfig" \
title="ODBCConfig" \
icon="databases_section.xpm" \
command="ODBCConfig"

?package(%name-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="DataManager" \
title="DataManager" \
icon="databases_section.xpm" \
command="DataManager"

?package(%name-gui-qt): \
needs="x11" \
section="Applications/Databases" \
longtitle="ODBCtest" \
title="ODBCtest" \
icon="databases_section.xpm" \
command="odbctest"
EOF

# gODBCConfig
# Put capital G in title and longtitle to shut rpmlint warnings
cat << EOF > $RPM_BUILD_ROOT%_menudir/unixODBC-gui-gtk
?package(%name-gui-gtk): \
needs="x11" \
section="Applications/Databases" \
longtitle="GODBCConfig" \
title="GODBCConfig" \
icon="databases_section.xpm" \
command="gODBCConfig"
EOF

find doc -name Makefile\* -exec rm {} \;

%post -n lib%name -p /sbin/ldconfig

%postun -n lib%name -p /sbin/ldconfig

%post -n lib%name-devel -p /sbin/ldconfig

%postun -n lib%name-devel -p /sbin/ldconfig

%post gui-qt
%update_menus

%postun gui-qt
%clean_menus

%post gui-gtk
%update_menus

%postun gui-gtk
%clean_menus

%files
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %_sysconfdir/odbc*.ini
%_bindir/dltest
%_bindir/isql
%_bindir/odbcinst

%files -n lib%name -f foo-list
#_libdir/lib*.so.*

%files -n lib%name-devel
%doc doc/
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/*

%files -n lib%name-devel-static
%_libdir/lib*.a

%files gui-qt
%_bindir/odbctest
%_bindir/ODBCConfig
%_bindir/DataManager
%_menudir/unixODBC-gui-qt
%_libdir/libodbcinstQ*

%files gui-gtk
%doc NEWS README AUTHORS
%_bindir/gODBCConfig
%_menudir/unixODBC-gui-gtk
%_datadir/pixmaps/*

%changelog
* Wed Sep 25 2002 AEN <aen@altlinux.ru> 2.2.3-alt1
- new version

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 2.2.1-alt2
- rebuilt with new Qt

* Thu Jul 04 2002 AEN <aen@logic.ru> 2.2.1-alt1
- new version

* Mon Apr 08 2002 AEN <aen@logic.ru> 2.2.0-alt4
- built odbc driver for MySQL

* Thu Mar 28 2002 AEN <aen@logic.ru> 2.2.0-alt3
- libodbcinstQ -> gui-qt

* Wed Feb 13 2002 AEN <aen@logic.ru> 2.2.0-alt2
- Typo in spec

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Jan 03 2002 Rider <rider@altlinux.ru> 2.1.1-alt1
- build section from MDK
- 2.1.1
- temporary removed QT based tools
- russan summary and description

* Thu Oct 11 2001 AEN <aen@logic.ru> 2.0.8-alt2
- rebuilt with libpng.so.3

* Sat Sep 08 2001 Rider <rider@altlinux.ru> 2.0.8-alt1
- buildreq fix
- 2.0.8

* Fri May 04 2001 Rider <rider@altlinux.ru> 2.0.6-alt1
- libifications
- 2.0.6
- devel-static package

* Sat Feb 17 2001 AEN <aen@logic.ru>
- group names fixed

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation
- build with GUI
- BuildReq : unixODBC

* Tue Jan 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.3-1mdk
- bump a new and shiny source into cooker.

* Sat Nov 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.13-1mdk
- new and shiny source bumped into cooker.

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.12-1mdk
- updated release.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.8.7-2mdk
- macroszifications
- BM
- Geoff <snailtalk@mandrakesoft.com> -- fix the doc kludge

* Thu Apr 20 2000 <ghibo@mandrakesoft.com> 1.8.7-1mdk
- updated version.

* Sat Apr 15 2000 <ghibo@mandrakesoft.com> 1.8.3-1mdk
- updated to new version.
- fixed group.

* Tue Oct 19 1999 <lenny@mandrakesoft.com>
- Specfile adaptation.
- First pasckage for Mandrake
